Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2001-0733

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2001-0733
Last Modified 05 Sep 2008 04:24:47
Published 18 Oct 2001 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2001-0733

Summary

The #sinclude directive in Embedded Perl (ePerl) 2.2.14 and earlier allows a remote attacker to execute arbitrary code by modifying the 'sinclude' file to point to another file that contains a #include directive that references a file that contains the code.

Vulnerable Systems

Application

  • Ralf S. Engelschall Eperl 2.0

  • Ralf S. Engelschall Eperl 2.0.1

  • Ralf S. Engelschall Eperl 2.0.2

  • Ralf S. Engelschall Eperl 2.0.3

  • Ralf S. Engelschall Eperl 2.1

  • Ralf S. Engelschall Eperl 2.1.1

  • Ralf S. Engelschall Eperl 2.1.2

  • Ralf S. Engelschall Eperl 2.2

  • Ralf S. Engelschall Eperl 2.2.1

  • Ralf S. Engelschall Eperl 2.2.10

  • Ralf S. Engelschall Eperl 2.2.11

  • Ralf S. Engelschall Eperl 2.2.12

  • Ralf S. Engelschall Eperl 2.2.13

  • Ralf S. Engelschall Eperl 2.2.14

  • Ralf S. Engelschall Eperl 2.2.2

  • Ralf S. Engelschall Eperl 2.2.3

  • Ralf S. Engelschall Eperl 2.2.4

  • Ralf S. Engelschall Eperl 2.2.5

  • Ralf S. Engelschall Eperl 2.2.6

  • Ralf S. Engelschall Eperl 2.2.7

  • Ralf S. Engelschall Eperl 2.2.8

  • Ralf S. Engelschall Eperl 2.2.9


References

XF - eperl-embedded-code-execution(6743)

BUGTRAQ - 20010621 bugtraq submission

BID - 2912


Last Updated: 27 May 2016 10:36:22